# eric4.UI.DeleteFilesConfirmationDialog

Module implementing a dialog to confirm deletion of multiple files.

### Global Attributes

None

### Classes

DeleteFilesConfirmationDialog | Class implementing a dialog to confirm deletion of multiple files.

### Functions

None

## DeleteFilesConfirmationDialog

Class implementing a dialog to confirm deletion of multiple files.

### Derived from

QDialog, Ui_DeleteFilesConfirmationDialog

### Class Attributes

None

### Class Methods

None

### Methods

DeleteFilesConfirmationDialog | Constructor
on_buttonBox_clicked | Private slot called by a button of the button box clicked.

### Static Methods

None

#### DeleteFilesConfirmationDialog (Constructor)

DeleteFilesConfirmationDialog(parent, caption, message, files)

Constructor

parent
  parent of this dialog (QWidget)
caption
  window title for the dialog (string or QString)
message
  message to be shown (string or QString)
okLabel
  label for the OK button (string or QString)
cancelLabel
  label for the Cancel button (string or QString)
files
  list of filenames to be shown (list of strings or QStrings or a QStringList)

#### DeleteFilesConfirmationDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

Up